
const searchCtr = (req, res) => {
    let _resp_json = {
        result: "ok",
        reason: {
            content: "",
            body: "",
        },
        req_body: {},
        req_param: {}
    }
    // 인증 관련 모든 요청 처리
    switch(req.method) {
        case 'GET': {}
        case 'POST': {
            res.status(200).json({ message: 'This is the auth/search endpoint!' });
        } break;
        case 'PUT': {}
        case 'PATCH': {}
        case 'DELETE': {}
        default : {
            //exception
            res.status(405).json({error: 'Method Not Allowed'});
        }
    }
}

module.exports = searchCtr;